class 'ovenAppliance' (Appliance)

ovenAppliance.leftSprite = nil
ovenAppliance.rightSprite = nil

function ovenAppliance:__init() super()
end

--
function ovenAppliance:onCreate()
	Appliance.onCreate(self)
end


function ovenAppliance:onPlace()
	Appliance.onPlace(self)

	self.leftSprite = createSprite()
	self.leftSprite:setDefaultSection(player:getCurrentResourceSection())
	self.leftSprite:animate("APP_OVEN_LEFT_FRONT", 0)
	self.leftSprite:setX(-22)
	self.leftSprite:setY(-18)
	self:getSlot(0):addChild(self.leftSprite)
	self:getSlot(0):setName("slot1")

	self.rightSprite = createSprite()
	self.rightSprite:setDefaultSection(player:getCurrentResourceSection())
	self.rightSprite:animate("APP_OVEN_RIGHT_FRONT", 0)
	self.rightSprite:setX(-22)
	self.rightSprite:setY(-18)
	self:getSlot(1):addChild(self.rightSprite)
	self:getSlot(1):setName("slot2")
end